Subject: Re: Nitrogen Fixing Tree Association

From: [email-masked] (Kron Aken)
Date: 16 Nov 1994 22:06:37 -0000

Their new address for the Nitrogen Fixing Tree Association is:
        Nitrogen Fixing Tree Association
        C/O Winrock International 
        Rt.3 Box 376
        Morrilton
        AR 72110
        USA
        Phone:(501) 727-5435
        Fax:(501) 727-5417

I have copied this address from their Sept 94 newsletter called 'Network
News'. Their is no email address in the newsletter.

Kron

>In article <[email-masked]>
[email-masked] >(Thomas Payne) writes:
>        I've just had a letter sent to the Nitrogen Fixing Tree Association
>come back as not deliverable.  The address I used was:
>
>                Nitrogen Fixing Tree Association
>                P.O. Box 680
>                Waimanalo, HI  96795
>
>        Is there a new address, or is this organization defunct?  Anybody
>know?  I was writing to Mr. James M. Roshetko, who is/was the program
>officer of the CPP.  Anybody know how I might contact him?--his e-mail
>address?
>
>        Thanks--
>
>TP
>

****************************************************************************
*    Kron Aken                            email:[email-masked] * 
*    Australian Tree Seed Centre          Phone: + 61-6-2818200            *
*    CSIRO Division of Forestry           Fax  : + 61-6-2818266            *
*    GPO Box 4008, Queen Victoria Terrace                                  *
*    Canberra, ACT 2600  AUSTRALIA                                         *
****************************************************************************